Bug 850449 (CVE-2012-3520)

Summary: CVE-2012-3520 kernel: af_netlink: invalid handling of SCM_CREDENTIALS passing
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bhu, fweimer, iboverma, jkacur, jneedle, lgoncalv, mcressma, rt-maint, security-response-team, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120821,reported=20120820,source=redhat,cvss2=4.4/AV:L/AC:M/Au:N/C:P/I:P/A:P,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-24 10:11:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 850685, 850687, 850688    
Bug Blocks: 850459    

Description Petr Matousek 2012-08-21 11:28:07 EDT
A flaw was found in the way Netlink messages without explicitly set SCM_CREDENTIALS were delivered. The kernel passes all-zero SCM_CREDENTIALS ancillary data to the receiver if the sender did not provide such data, instead of including the correct data from the peer (as it is the case with AF_UNIX). Programs that set SO_PASSCRED option on the Netlink socket and rely on SCM_CREDENTIALS for authentication might accept spoofed messages and perform privileged actions on behalf of the unprivileged attacker.

Introduced in:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=16e57262

Acknowledgements:

Red Hat would like to thank Pablo Neira Ayuso for reporting this issue.
Comment 1 Petr Matousek 2012-08-21 11:30:14 EDT
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and 6 as they did not backport the commit that introduced this issue. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue.
Comment 6 Petr Matousek 2012-08-22 03:16:48 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 850688]
Comment 8 errata-xmlrpc 2012-12-04 14:58:56 EST
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2012:1491 https://rhn.redhat.com/errata/RHSA-2012-1491.html